package com.ipsplm.config;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.apache.kafka.clients.consumer.ConsumerConfig;
import org.apache.kafka.clients.consumer.KafkaConsumer;
import org.apache.kafka.common.serialization.StringDeserializer;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.context.annotation.Configuration;

import java.util.List;
import java.util.Properties;
import java.util.stream.Collectors;

/**
 * @Description kafka主题配置类
 * @Author FanDongqiang
 * @Date 2023/4/26 10:06
 * @Version 1.0
 */
@Configuration
@Slf4j
public class KafkaTopicConfig implements InitializingBean {
    @Override
    public void afterPropertiesSet() {
        Properties properties = new Properties();
        // kafka集群
//        properties.put(ConsumerConfig.BOOTSTRAP_SERVERS_CONFIG, "10.26.19.61:9092,10.26.19.62:9092,10.26.19.64:9092");
        properties.put(ConsumerConfig.BOOTSTRAP_SERVERS_CONFIG, "10.5.23.15:9092,10.5.23.31:9092,10.5.23.32:9092");
        // key序列化
        properties.put(ConsumerConfig.KEY_DESERIALIZER_CLASS_CONFIG, StringDeserializer.class);
        // value序列化
        properties.put(ConsumerConfig.VALUE_DESERIALIZER_CLASS_CONFIG, StringDeserializer.class);
        // 消费者组编号，不同的组提交偏移不同
        properties.put(ConsumerConfig.GROUP_ID_CONFIG, "3");
        properties.put(ConsumerConfig.ENABLE_AUTO_COMMIT_CONFIG, false);
        properties.put(ConsumerConfig.AUTO_OFFSET_RESET_CONFIG, "latest");
        KafkaConsumer<String, String> kafkaConsumer = new KafkaConsumer<String, String>(properties);
//        List<String> topicList = kafkaConsumer.listTopics().keySet().stream()
//                .filter(t -> !t.contains("meter") && t.startsWith("SANY.pdev.sany.mdc.")).collect(Collectors.toList());
//        String topics = StringUtils.join(topicList, ",");
//        System.setProperty("topics", topics);
        System.setProperty("topics","topic_kafka_huarui");
        kafkaConsumer.close();
    }
}
