package com.ipsplm.entity.iot;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description IOT设备清单表
 * @Author FanDongqiang
 * @Date 2023/2/16 10:15
 * @Version 1.0
 */
@TableName("iot_device_list")
@Data
public class IotDeviceList implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     * iot_device_list.id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     * iot_device_list.device_num
     */
    @TableField("device_num")
    private String deviceNum;

    /**
     * 设备名称
     * iot_device_list.device_name
     */
    @TableField("device_name")
    private String deviceName;

    /**
     * 设备类型
     * iot_device_list.device_type
     */
    @TableField("device_type")
    private String deviceType;

    /**
     * 设备区域
     * iot_device_list.device_area
     */
    @TableField("device_area")
    private String deviceArea;

    /**
     * websocket分组ID
     * iot_device_list.websocket_group_id
     */
    @TableField("websocket_group_id")
    private Integer websocketGroupId;
}
