package com.ipsplm.listener;

import com.alibaba.fastjson.JSON;
import com.ipsplm.entity.iot.IotDeviceRealInfo;
import com.ipsplm.utils.RedisUtils;
import com.ipsplm.websocket.*;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.data.redis.connection.Message;
import org.springframework.data.redis.connection.MessageListener;
import org.springframework.data.redis.listener.PatternTopic;
import org.springframework.stereotype.Component;

/**
 * @Description Redis监听器
 * @Author FanDongqiang
 * @Date 2023/5/4 11:32
 * @Version 1.0
 */
@Component
@Slf4j
@Getter
public class RedisListener implements MessageListener {
    private final PatternTopic topic = new PatternTopic("__keyevent@0__:set");

    @Autowired
    @Lazy
    private RedisUtils redisUtils;

    private String msg;

    private int websocketGroupId;

    @Override
    public void onMessage(Message message, byte[] pattern) {
        msg = redisUtils.get(new String(message.getBody())).toString();
        websocketGroupId = JSON.parseObject(msg, IotDeviceRealInfo.class).getWebsocketGroupId();
        if (websocketGroupId == 1) {
            WebSocketHandler1.sendInfo(msg);
        }
        if (websocketGroupId == 2) {
            WebSocketHandler2.sendInfo(msg);
        }
        if (websocketGroupId == 3) {
            WebSocketHandler3.sendInfo(msg);
        }
        if (websocketGroupId == 4) {
            WebSocketHandler4.sendInfo(msg);
        }
        if (websocketGroupId == 5) {
            WebSocketHandler5.sendInfo(msg);
        }
        if (websocketGroupId == 6) {
            WebSocketHandler6.sendInfo(msg);
        }
    }
}
